Loading...
Searching...
No Matches
auth::LdapManager::ServerSettings Struct Reference

Server settings. More...

## Public Attributes

string | id
| Entry ID.
string | server
| IP or name of ldap server.
string | adoptSettingsId
| Use settings from LDAP server with <ID>
ServerType | type
| Type of LDAP server.
SecurityProtocol | secProto
| Security protocol.
int | port
| Server port (only for SEC_PROT_NONE and SEC_PROT_STARTTLS)
int | sslPort
| SSL port (only for SEC_PROT_SSL)
boolean | forceTrustedCert
| Enforce trusted certificates.
boolean | allowOffTimeRangeCerts
| allow expired and not yet valid certificates
string | certificate
| Certificates.
string | adsDomain
| ADS domain.
boolean | useAnonymousBind
| use anonymous bind
string | bindDN
| Bind DN.
string | bindPwd
| Bind password.
string | searchBaseDN
| Base DN for search.
string | loginNameAttr
| Login name attribute.
string | userEntryObjClass
| User entry object class.
string | userSearchFilter
| User search subfilter.
boolean | groupInfoInUserEntry
| Group membership info in user entry.
string | groupMemberAttr
| Group member attribute.
string | groupEntryObjClass
| Group entry object class.
string | groupSearchFilter
| Group search subfilter.

## Detailed Description

Server settings.

The documentation for this struct was generated from the following file:

- LdapManager.idl